--- title: "suspendProcesses" slug: "compute-vautoscaling-autoscalinggroup-suspendprocesses" updated: 2026-09-17T10:05:57Z published: 2026-09-17T10:05:57Z canonical: "api.ncloud-docs.com/compute-vautoscaling-autoscalinggroup-suspendprocesses" --- > ## Documentation Index > Fetch the complete documentation index at: https://api.ncloud-docs.com/llms.txt > Use this file to discover all available pages before exploring further. # suspendProcesses Available in VPC Suspend the process of Auto Scaling Group. ## Request This section describes the request format. The method and URI are as follows: | Method | URI | | --- | --- | | GET \| POST | /vautoscaling/v2/suspendProcesses | Note This guide is based on the GET method. POST method call tests can be performed through Swagger in the API Gateway service of the NAVER Cloud Platform console. ### Request headers For information about the headers common to all Auto Scaling APIs, see [Auto Scaling request headers](/docs/en/compute-vautoscaling#%EC%9A%94%EC%B2%AD%ED%97%A4%EB%8D%94). ### Request query parameters You can use the following query parameters with your request: | Field | Type | Required | Description | | --- | --- | --- | --- | | `regionCode` | String | Optional | Region code - See [getRegionList](/docs/en/compute-vserver-server-common-getregionlist). - First Region in the query results (default) | | `autoScalingGroupNo` | String | Required | Auto Scaling Group number - See [getAutoScalingGroupList](/docs/en/compute-vautoscaling-autoscalinggroup-getautoscalinggrouplist). | | `scalingProcessCodeList.N` | Array | Required | Process code list - See [getScalingProcessTypeList](/docs/en/compute-vautoscaling-autoscalinggroup-getscalingprocesstypelist). - Example: `scalingProcessCodeList.1=LANCH&scalingProcessCodeList.2=TERMT` | | `responseFormatType` | String | Optional | Format of the response data - `xml` (default) \| `json` | ### Request example The request example is as follows: ``` curl --location --request GET 'https://ncloud.apigw.ntruss.com/vautoscaling/v2/suspendProcesses ?regionCode=KR &autoScalingGroupNo=1***9 &scalingProcessCodeList.1=SCACT &scalingProcessCodeList.2=RPUNH &responseFormatType=json' \ --header 'x-ncp-apigw-timestamp: {Timestamp}' \ --header 'x-ncp-iam-access-key: {Access Key}' \ --header 'x-ncp-apigw-signature-v2: {API Gateway Signature}' ``` ## Response This section describes the response format. ### Response body The response body includes the following data: | Field | Type | Required | Description | | --- | --- | --- | --- | | `suspendProcessesResponse` | Object | - | Response result - See [ProcessList](/docs/en/common-vapidatatype-processlist). | | `suspendProcessesResponse.requestId` | String | - | ID for the request - UUID format | | `suspendProcessesResponse.returnCode` | String | - | Response code | | `suspendProcessesResponse.returnMessage` | String | - | Response message | ### Response status codes For response status codes common to all Auto Scaling APIs, see [Auto Scaling response status codes](/docs/en/compute-vautoscaling#%EC%9D%91%EB%8B%B5%EC%83%81%ED%83%9C%EC%BD%94%EB%93%9C). ### Response example The response example is as follows: ``` { "suspendProcessesResponse": { "processList": [ { "code": "SCACT", "codeName": "Scheduled action" }, { "code": "RPUNH", "codeName": "Replace a server instance with health issues" } ], "requestId": "c9562c69-****-****-****-e0c14539d901", "returnCode": "0", "returnMessage": "success" } } ```